Skip to content

Endpoint

  • Method: POST
  • Path: /calendars/{id}/events/{event_id}/event-availability
  • Edition: Pro
  • Controller: SingleEventController@updateEventAvailability
  • Route source: fluent-booking-pro/app/Http/Routes/api.php:75
  • Policy: CalendarPolicy

Update Event Availability

POST
/calendars/{id}/events/{event_id}/event-availability

Handler: SingleEventController@updateEventAvailability. Source: fluent-booking-pro/app/Http/Routes/api.php:75.

Authorizations

ApplicationPasswords

WordPress Application Passwords — use Basic auth with username:application_password.

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*

Id path parameter.

Type
string
Required
event_id*

Event Id path parameter.

Type
string
Required

Request Body

application/json
JSON
{
"object_type": "string",
"object_id": 0,
"key": "string",
"value": {
}
}

Responses

Successful response.

application/json
JSON
{
"message": "string",
"availability": {
"id": 0,
"object_type": "string",
"object_id": 0,
"key": "string",
"value": {
},
"created_at": "string",
"updated_at": "string"
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI